Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 413041

Summary: xorg-x11-xinit: missing dependency on "which"
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: xorg-x11-xinitAssignee: Søren Sandmann Pedersen <sandmann>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: atkac, kem, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-25 10:17:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ville Skyttä 2007-12-05 22:00:16 UTC
/etc/X11/xinit/Xclients uses "which", but xorg-x11-xinit does not have a
dependency on it nor does any of its dependencies pull it in.

Fix: "Requires: which" or just hardwire GSESSION=/usr/bin/gnome-session and
STARTKDE=/usr/bin/startkde in Xclients.

Comment 1 Bug Zapper 2008-05-14 04:06:12 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Adam Tkac 2009-02-25 10:17:36 UTC
fixed in xorg-x11-xinit-1.0.9-5.fc11